2022-04-24: Revelation 0.5.5
============================
"Txoria nintzela sinistu nuen, sinistu"

Bugfixes:

- Fix building with >=Meson-0.60 #87 [Jay Faulkner]
- Fix importing GPass-0.5.1 files #72 [Miquel Garriga]
- Fix Metainfo errors reported by Debian

Translation:
- Update French #74

Others:
- Code changes based on flake8 and bandit
- First Meson only supported release [Germán Poo-Caamaño]


2020-10-04: Revelation 0.5.4
============================
"Drifting through the marsh we made it just outside the bend"

New features:

- Keyboard Shortcuts Page (KSP) available #39 [Germán Poo-Caamaño]
- Port to Meson build system #55 [Germán Poo-Caamaño]
- Migrate from Gtk.FileChooserDialog to Gtk.FileChooserNative to avoid having
  to grant full $HOME access in Flatpak #27 [Germán Poo-Caamaño]
- KeepassXC CSV importer #67

Bugfixes:

- Fix importing / exporting issues #62 #63 #64 #65 #43 [Miquel Garriga]
- Fix opening multiple revelation from console #46 [Miquel Garriga]
- Restore Key_Escape accelerator in searchbar #46 [Miquel Garriga]
- Close button now closes file, doesn't quit #47

Translation:
- Update Basque and Spanish translations

Others:
- This will be the last version with autotools support, next release will drop
  autotools code. Future releases will only support Meson.
- Multiple cleanups #51 #54 #59 [Germán Poo-Caamaño]
- Update searchbar code and improve usability #44 #45 [Germán Poo-Caamaño]
- Change desktop file categories #61 [Matthias Mailänder]


2020-09-13: Revelation 0.5.3
============================
"Gora mirotzak!"

Bugfixes:

- Fix moving multiple entries #30 [Miquel Garriga]
- Fix CSV and HTML export #31
- Fix missing icons wiht icons from Inkscape #32
- Fix crash when right-click on entry details #33 #35 [Miquel Garriga]
- Not able to import/export old Revelation1 files #41

Others:

- Migrate from PyCrytpo to PyCryptodomex #13 [Miquel Garriga]
- Install path changed from pyexecdir to pythondir #36 [Robert-André Mauchin]
- Use pycryptdome's PBKDF2 instead of own library #40
- More changes to adapt to Flathub and Fedora
- GTK3-3.22 is required now


2020-09-04: Revelation 0.5.2
============================
"Back to chaos"

Bugfixes:
- Fix #24  [Miquel Garriga]

Translation:
- Update translations

Others:
- Change AppData install dir for Flathub


2020-08-30: Revelation 0.5.1
============================
"Cadi Cadi"

Bugfixes:
- Fix #21  [Miquel Garriga]

Translation:
- Add Polish translation
- Updated Dutch translation

Others:
- Remove python-dbus dependency


2020-08-10: Revelation 0.5.0
============================
"No estaba muerto, estaba de parranda"

New features:
- Code migrated to Python3 and GTK3 #11 [Miquel Garriga]
- Bitwarden CSV exporter #8 [Arjuna Del Toso]
- Migrate from Intltool to Gettext [Mikel Olasagasti Uranga]

Bugfixes:
- Fix 256x256 icon #5 [Matthias Mailänder]
- Fix autoload when file has special characters #3 #11 [Pieter Ennes]

Translation:
- Update translations

Others:
- Remove applet code
- Use Makefile macros when using sed [Germán Poo-Caamaño]
- Remove unused code [Miquel Garriga]


2012-07-01: Revelation 0.4.14
=============================

New features:
- Added a new file encryption format using PBKDF2 #61 [Mikel Olasagasti Uranga]
- Warn users about old file encryption format being non-secure
- Moved applet to own dir to fix 'make dist'


Translation:
- Added Dutch translation [Dirk Dierickx]
- Updated Basque, Spanish, German, Brazilian Portuguese, Estonian, and Russian.


2012-05-27: Revelation 0.4.13
=============================

New features:
- Added VNC and RDP entry types and open both with vinagre
- Added CSV exporter #12 [Gergely Nagy]
- Added email field to website entries #19
- Added option to use punctuation characters when generating passwords
- Remove autogenerated files [Tristan Heaven]
- Use system cracklib instead of the old bundled python-crack [Tristan Heaven]
- Rework the export in a plain text file [Pierre-Yves Chibon]
- New SVG icon #71 [Frederik Elwert]
- Added notes field to entries #6 #68 [jfrias]

Bugfixes:
- Fix crash on LUKS code because of a typo
- Fix export to Password Safe #13 [Stuart Rackham]
- Allow import from files with no pad charachters from gpass [Paul Dokas]
- Gettext strings from revelation.in and revelation-applet.in were not exported
  by intltool-update. Renamed both files to have .py extension
- Fix multiple locks after being blocked by screensaver #74
- Warn user about the password length [Stefan Völkel]
- Fix applet icon on start. Debian #603572 [Stefan Völkel]
- Don't quit if escape is pressed in the 'Save changes before quitting?' 
  dialog. [Raúl Gutiérrez Segalés]
- Fix NoneType error if datafile is not yet defined [Stefan Völkel]
- Replace string Exceptions by proper ones on LUKS. [John Lenz]

Translation:
- added basque translation [Mikel Olasagasti Uranga]
- added spanish translation [Mikel Olasagasti Uranga]
- added estonian translation [Rivo Zängov]
- added portuguese (Brazil) [Joacelio Moura de Lucena]
- updated german translation [Tobias Quathamer]


2011-11-12: Revelation 0.4.12
=============================

New features:
- ported from gnomevfs to gio #5 [Thomas Jenkins]
- ported from gnome.ui to gtk [Thomas Jenkins]
- made desktop file translatable [Mikel Olasagasti Uranga]
- Entries are now sorted alphabetically [Ben Walsh]
- Create .xz on make dist [Mikel Olasagasti Uranga]
- Added support for locking when screensaver is activated #14 #42 [Alfredo Beaumont]

Bugfixes:
- fixed crash in XHTML exporter [Javier Kohen]
- fixed crash when saving file after certain imports
- fixed crash when searching on some systems
- fixed crash when entering insecure password on some systems
- fixed crash in applet #3
- removed deprecated tooltip system #20 [Thomas Jenkins]
- fix missing icons using similar ones #46 [Mikel Olasagasti Uranga]
- fix url label max size to 60 chars #45 [Mikel Olasagasti Uranga]

Translation:
- added finnish translation [Ilkka Tuohela]
- added russian translation [Aleksey Klimov]
- added swedish translation of desktop file [Daniel Nylander]
- added lithuanian translation [Remigijus Jarmalavičius]
- added catalan translation [David Planella]

2007-01-16: Revelation 0.4.11
=============================

Bugfixes:
- fix applet configuration checks

Translation:
- updated czech translation [Zbyněk Mrkvička]


2007-01-16: Revelation 0.4.10
=============================

Bugfixes:
- don't import missing mman module in applet


2007-01-11: Revelation 0.4.9
============================

Bugfixes:
- fixed translation of field names and tooltips
- don't include built config.py during make dist
- added POTFILES.skip to skip translation for certain files
- set utf-8 encoding for POTFILES

Translations:
- added czech translation [Zbyněk Mrkvička]
- updated german translation [Daniel Schindler]


2006-12-31: Revelation 0.4.8
============================

New features:
- translation support
- ported to gtk+ 2.8 and gnome 2.10
- added LUKS file import/export [John Lenz]
- added SplashID CSV file import [Devan Goodwin]
- cleaned up preferences dialog
- only show Revelation files by default in open and save dialogs

Bugfixes:
- improved error detection during file saving
- handle errors while loading icons [Wade Berrier]
- scale icons with improper sizes
- use new icon for ftp accounts (old one removed from gnome-icon-theme)
- fixed crash when doubleclicking tree with no entry selected
- password generator now always avoids ambiguous characters
- password checker and generator follow "show passwords" preference
- don't use passwords in default goto commands
- HIG fixes
- added missing config.guess and config.sub autoconf files

Translations:
- added chinese translation [Dancefire]
- added french translation [Gilles Accad]
- added german translation [Christian Sagmueller]
- added swedish translation [Daniel Nylander]

Code changes:
- improved build scripts
- generate ChangeLog from subversion log during make dist
- removed gnomemisc module
- don't use deprecated gnome-python modules
- moved convert_entry_generic() to the Entry.convert_generic() method


2006-02-06: Revelation 0.4.7
============================

Bugfixes:
- don't crash when unlocking file
- ignore errors when automatically reloading file in applet
- avoid hanging on missing network mounts when opening file
- build pyc/pyo files correctly when using DESTDIR with make install


2006-01-26: Revelation 0.4.6
============================

New features:
- improved the searchbar, and use it instead of find dialog
- new applet option to show/hide search entry
- use icons instead of colors in password entries to indicate strength
- added Shannon entropy test and other improvements to password checker

Bugfixes:
- fixed drag and drop undo/redo crashes
- don't initialize python modules during configure checks
- strip xml entities from password on clipboard copy or drag/drop
- fix crash in Password Safe import/export with fields longer than 256 chars
- use full path when starting Revelation from applet
- use correct key path for applet show_passwords gconf schema key
- ~ in filenames will now be expanded to homedir
- changed default file format for export to XML
- changed button "Edit" to "Update" in edit entry dialog
- remove GNOME_RevelationApplet.server during make clean

Code changes:
- use stock gtk icon sizes instead of custom ones


2005-08-25: Revelation 0.4.5
============================

New features:
- added Password Safe 2.x import/export
- added Password Safe 1.x import/export
- added GPass 0.5.x import/export
- added MyPasswordSafe import/export
- added MyPasswordSafe import/export for old file format
- added Password Gorilla import/export

Bugfixes:
- fix crash when searching with non-Unicode locale
- fix crashes in applet and with drag/drop on 64-bit systems
- encode data as Unicode when loading from files
- more informative error messages for gnomemisc module
- fix incorrect magic string in MIME-type entry
- fixed a bug when importing GPass 0.4.x files with empty note
- GPass importer handles multi-line notes correctly
- GPass importer skips hostnames containing only http://
- set correct app version number in datafile header
- default lock timeout for applet set to 10 minutes

Code changes:
- check for necessary python modules at configure-time
- don't use unnecessary defsfiles when building gnomemisc module
- improved the applet name and description


2005-08-07: Revelation 0.4.4
============================

New features:
- GNOME panel applet for looking up account info
- option for copying password to clipboard on doubleclick
- passwords are removed from clipboard after 60 seconds
- drag-and-drop from password labels when hiding passwords
- new "Add folder" item, instead of adding folders through "Add entry"
- rearranged toolbar layout
- option for setting toolbar style
- the searchbar entry gets focus on startup if shown

Bugfixes:
- don't crash when attempting to load missing theme icons
- properly handle all gnome-vfs errors when reading/writing files
- password labels are unselectable when hiding passwords
- don't warn about missing config data when schema install worked
- avoid showing duplicates of non-modal dialogs
- HIGified labels in dialogs
- install modules into platform-specific pyexecdir instead of pythondir
- don't use deprecated gnome.vfs module with gnome-python 2.10
- properly quote autoconf macro names

Code changes:
- removed unit tests
- moved Timer class from ui module to data module
- moved the wrap/ directory to src/wrap/
- renamed the authmanager module to gnomemisc
- wrapped panel_applet_request_focus()


2005-03-31: Revelation 0.4.3
============================

New features:
- added quit button to unlock file dialog

Bugfixes:
- don't wrap gnome_authentication_manager_dialog_is_visible()
  (only available from libgnomeui-2.7.92)
- make configure search for cracklib-format, cracklib-packer,
  crack_mkdict and crack_packer as well as the normal commands
- stop autolock-timer when manually locking file, to avoid crash when
  timer tries to re-lock file


2005-03-22: Revelation 0.4.2
============================

Bugfixes:
- don't use gtk.Action.set_sensitive() (API from gtk 2.6)
- check for mkdict/packer under /sbin and /usr/sbin in addition to $PATH


2005-03-21: Revelation 0.4.1
============================

New features:
- option to autolock file after a period of inactivity
- check password strength while entering, using cracklib
- ask user to reload file if it is changed outside revelation
- added preference to select doubleclick action; go to, or edit
- added password checker dialog
- improved the preference dialog
- improved user interface for copying passwords (and optionally
  usernames) to the clipboard

Bugfixes:
- use correct encoding in data files
- workaround for incorrect data file encoding (as generated by 0.4.0)
- make undo actually work for edit actions
- don't crash when redoing an undone edit action
- don't crash when unable to save file (wrong permissions etc)
- don't crash when loading missing icons from theme
- fix potential crash on quit with some pygtk versions
- workaround for gnome-python bug causing crashes on 64-bit systems
  when changing a preference
- workaround for gnome-python 2.9.x crasher bug in the session client
- properly handle invalid data in data files
- prefs, password generator and search dialogs are no longer modal
- display non-ascii characters in filenames correctly
- use fallback folder icons when not found in theme
- hide any open dialogs when locking the file
- don't steal clipboard events from widgets in main window
- update icons on theme change
- use better lock icon
- use better stock icons for dialog buttons
- left-align labels in link-buttons (for URLs etc)

Code changes:
- cleaned up the build-system and source file layout


2005-02-08: Revelation 0.4.0
============================

New features:
- added export to plain text

Bugfixes:
- treeview keyboard commands caused unhandled exception
- autosave file on drag/drop, if enabled
- set default button for overwrite dialog to cancel
- added configure switches for disabling mime and desktop update
- respect --disable-schemas-install configure switch
- build byte-compiled datahandler modules


2005-02-01: Revelation 0.4.0-pre2
=================================

Bugfixes:
- allow entry drag'n'drop to folder directly before/after entry
- crash when undoing an entry drag/drop under certain circumstances
- place Revelation under Accessories in the GNOME menu (Utility category)
- install mimetype icon into correct directory
- run update-desktop-database on install, to register app for mimetype
- don't install authmanager module into bindir
- build authmanager module with position-independent code
- allow installation when fd.o shared MIME utils are missing
- don't update MIME databases at build-time if DESTDIR is set

Code changes:
- updated unit tests for ui module


2005-01-24: Revelation 0.4.0-pre1
=================================

New features:
- port to gtk+ 2.4 (new file dialog, combobox etc)
- file handling uses GNOME VFS (can open files over http, ftp etc)
- use icons from the active GNOME icon theme
- improved widgets when editing entries (dropdowns, fileselectors etc)
- drag and drop of entries in tree
- files can be dragged to Revelation to open them
- the account clipboard is shared between Revelation instances
- an account password chain is copied to the clipboard when launching entry
- added menu item for copying username and password chain to clipboard
- username and password can be copied to clipboard, even when hidden
- default action for entries is "go to"
- integrated with gnome session manager
- new application icon
- added icon and mime-type for the data files

Bugfixes:
- quit works correctly after continuing from an unhandled error
- gtk/gnome command-line arguments are handled correctly
- don't subclass gnome.ui.HRef (abstract widget from gnome-python 2.9.x)
- fall back to False for GNOME toolbar_detachable setting
- renamed "launch" to "go to"

Code changes:
- rewrote and cleaned up all code
- improved the module APIs
- added unittests for config, data, datahandler, entry, io, ui and util
  modules
- removed libxml dependency (uses xml.dom.minidom from python instead)
- reorganized source file tree
- use GNU autotools for installation instead of python distutils
- use GtkUIManager for UI generation and management


2004-09-27: Revelation 0.3.4
============================

Bugfixes:
- the Domain field had the tooltip set as its name
- the searchbar follows the detachable toolbar setting in gnome
- ask to continue running when an unknown error occurs
- activate searchbar button when hitting return in the entry
- workaround for crasher bug when editing an entry on some systems


2004-08-30: Revelation 0.3.3
============================

New features:
- added entry launchers
- added a search toolbar (disabled by default)
- added a password generator dialog
- added an XHTML/CSS exporter
- unknown errors are reported in a dialog with an error call traceback

Bugfixes:
- entry descriptions were not set when adding/editing an entry
- changed the keyboard shortcuts for add, edit and update entry to use
  the control modifier key, to avoid overriding other use of the keys.
  the old keyboard shortcuts can still be used when the tree has focus

Code changes:
- created subclasses of Entry class for the various entry types
- created subclasses of Field class for the various field types
- added config_get() and config_connect() convenience functions


2004-08-09: Revelation 0.3.2
============================

Bugfixes:
- don't attempt to load the removed druid module on startup


2004-08-08: Revelation 0.3.1
============================

New features:
- added a preference for autosaving data on change
- added import/export of .netrc files
- added import/export of GNOME Password Manager (gpass) files
- replaced the import/export druids with normal file selectors
- window size and position is stored on quit
- default type when adding entries is Generic
- vertical scrollbar only displayed when needed
- most dialogs can be closed by pressing Escape
- the OK button in password dialogs is ghosted until passwords are given
- removed schema installation from setup.py to ease packaging

Bugfixes:
- the preferences and import/export druids crashed on some systems
- the gconf schema is checked on startup, and reinstalled when needed
- fields containing & were not displayed correctly
- file selector was opened when saving file in quit confirmation
- spin buttons would not accept input from the keyboard
- missing parent directories are created when saving files
- added access keys to popup menus
- file selectors and the about dialog set as transient for main window

Code changes:
- rewrote data handling to use new Entry and Field objects,
  and improved EntryStore, UndoQueue, DataFile and other
  related systems
- data handlers split out into separate modules
- rewrote the configuration handling, using a new Config class
- merged application UI and functionality classes
- cleaned up dialog and ui code


2004-04-06: Revelation 0.3.0
============================

New features:
- integrated password generator
- gconf integration
- new preference dialog
- option for automatically opening file on startup
- option for hiding passwords
- an opened file can be locked
- many small ui and usability improvements

Bugfixes:
- the Figaro's Password Manager importer failed on empty fields
- the password dialog allowed passwords longer than the keylength
  of the encryption algorithms, causing them to fail

Other changes:
- complete rewrite of some components, and major cleanups of others
- removed the Usenet account type

